package com.zhyc.module.produce.bodyManage.service;

import java.util.List;
import java.util.Map;

import com.zhyc.module.produce.bodyManage.domain.ScBodyMeasure;

/**
 * 体尺测量Service接口
 * 
 * @author ruoyi
 * @date 2025-07-27
 */
public interface IScBodyMeasureService 
{
    /**
     * 查询体尺测量
     * 
     * @param id 体尺测量主键
     * @return 体尺测量
     */
    public ScBodyMeasure selectScBodyMeasureById(Long id);

    /**
     * 查询体尺测量列表
     * 
     * @param scBodyMeasure 体尺测量
     * @return 体尺测量集合
     */
    public List<ScBodyMeasure> selectScBodyMeasureList(ScBodyMeasure scBodyMeasure);

    /**
     * 新增体尺测量
     * 
     * @param scBodyMeasure 体尺测量
     * @return 结果
     */
    public int insertScBodyMeasure(ScBodyMeasure scBodyMeasure);

    /**
     * 修改体尺测量
     * 
     * @param scBodyMeasure 体尺测量
     * @return 结果
     */
    public int updateScBodyMeasure(ScBodyMeasure scBodyMeasure);

    /**
     * 批量删除体尺测量
     * 
     * @param ids 需要删除的体尺测量主键集合
     * @return 结果
     */
    public int deleteScBodyMeasureByIds(Long[] ids);

    /**
     * 删除体尺测量信息
     * 
     * @param id 体尺测量主键
     * @return 结果
     */
    public int deleteScBodyMeasureById(Long id);

    List<String> searchEarNumbers(String query);

    /**
     * 查询繁殖状态列表
     */
    List<Map<String, Object>> selectBreedStatusList();
}
